Bug 1418364 - [DOCS] Logging: wrong version in example
Summary: [DOCS] Logging: wrong version in example
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Michael Burke
QA Contact: Xia Zhao
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 16:14 UTC by Frederic Giloux
Modified: 2017-02-20 20:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-20 20:10:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Frederic Giloux 2017-02-01 16:14:31 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.4/install_config/aggregate_logging.html#deploying-the-efk-stack

Section Number and Name: 
Deploying the EFK stack

Describe the issue: 
The 3.4 example is referencing an old version:
$ oc new-app logging-deployer-template \
             --param IMAGE_VERSION=3.3.0 \
             --param MODE=install
It would be better to point to the last relevant version: v3.4

Suggestions for improvement: 
change to
             --param IMAGE_VERSION=v3.4 \

Comment 1 Michael Burke 2017-02-03 14:34:10 UTC
I changed the OSE version in the example code for the "oc new-app logging-deployer-template" command to 3.4 and updated the version in the parameter name table that followed.

oc new-app logging-deployer-template
--param IMAGE_VERSION=3.4
--param MODE=install

See PR https://github.com/openshift/openshift-docs/pull/3654

Comment 2 openshift-github-bot 2017-02-12 19:38:01 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/ce4b4d1c3ebe236f827518ec3c8a73ea6eba181c
Merge pull request #3710 from mburke5678/mburke-BZ-1418364-2

Bug 1418364 Replaced Version with <tag> under Deploying the EFK Stack

Comment 3 Michael Burke 2017-02-17 16:21:31 UTC
Change appears in 3.4:
https://access.redhat.com/documentation/en/openshift-container-platform/3.4/paged/installation-and-configuration/chapter-28-aggregating-container-logs

Pending 3.3 due to build environment issues.

Comment 4 Michael Burke 2017-02-20 20:09:50 UTC
Change appears in 3.3, see section 27.4: 
https://access.redhat.com/documentation/en-us/openshift_container_platform/3.3/html/installation_and_configuration/install-config-aggregate-logging

Closing defect as Current Release.


Note You need to log in before you can comment on or make changes to this bug.